<html><title>Shards of Destiny</title>
<body><center>
<img src="L2UI_CH3.herotower_deco" width=256 height=32>
<font color="808000">East</font> vs <font color="E9AB17">West</font>
<br><br><br>
You should talk with Venn. He is coordinating our expedition and he will find a use for someone like 
you.
<br>
<img src="L2UI_CH3.herotower_deco" width=256 height=32>
</center></body>
</html>